cbmc (5.9-1) unstable; urgency=low

  * New upstream release (Closes: #871068)

 -- Michael Tautschnig <mt@debian.org>  Mon, 02 Jul 2018 17:12:01 +0100

cbmc (5.6-1) unstable; urgency=low

  * New upstream release
  * Disable Pointer_array5 test due to endianness bugs (Closes: #844776)

 -- Michael Tautschnig <mt@debian.org>  Sun, 04 Dec 2016 09:18:48 +0000

cbmc (5.5-1) unstable; urgency=low

  * New upstream release

 -- Michael Tautschnig <mt@debian.org>  Sun, 16 Oct 2016 13:10:20 +0100

cbmc (5.4-3) unstable; urgency=medium

  * Disable enum8 test due to limitations in C++ front-end. Thanks Lucas for
    reporting (Closes: #831166)

 -- Michael Tautschnig <mt@debian.org>  Thu, 14 Jul 2016 09:45:43 +0100

cbmc (5.4-2) unstable; urgency=low

  * Install goto-analyzer
  * Updated Standards version to 3.9.8 (no changes required)
  * Include recent big-endian patches to make mips(el), powerpc, s390x happy

 -- Michael Tautschnig <mt@debian.org>  Mon, 09 May 2016 09:07:09 +0100

cbmc (5.4-1) unstable; urgency=low

  * New upstream release
  * Builds using GCC 6 (Closes: #811603)
  * Changed watchfile to monitor github
  * Fully enable hardening
  * Updated Standards version to 3.9.7 (no changes required)

 -- Michael Tautschnig <mt@debian.org>  Fri, 22 Apr 2016 11:03:08 +0100

cbmc (5.3-1) unstable; urgency=low

  * New upstream release
  * non-static-build patch merged
  * Re-licensed Debian packaging to BSD 2-clause

 -- Michael Tautschnig <mt@debian.org>  Wed, 20 Jan 2016 04:03:52 +0000

cbmc (5.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Tautschnig <mt@debian.org>  Wed, 02 Sep 2015 14:37:38 +0100

cbmc (5.1-2) unstable; urgency=low

  * Proper cleanup

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 May 2015 13:18:40 +0100

cbmc (5.1-1) unstable; urgency=low

  * New upstream release
  * Most 5.0 patches merged

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 May 2015 00:39:01 +0100

cbmc (5.0-3) unstable; urgency=low

  * Fix long-double-width on sparc

 -- Michael Tautschnig <mt@debian.org>  Sun, 08 Feb 2015 09:16:23 +0000

cbmc (5.0-2) unstable; urgency=low

  * Pick big-endian patches from trunk (Closes: 776842)

 -- Michael Tautschnig <mt@debian.org>  Sat, 07 Feb 2015 22:23:33 +0000

cbmc (5.0-1) unstable; urgency=low

  * New upstream release
  * Most 4.9 patches merged
  * Includes support for ppc64el. Thanks Breno Leitao for further patches.
    (Closes: #765376)

 -- Michael Tautschnig <mt@debian.org>  Thu, 29 Jan 2015 07:30:49 +0000

cbmc (4.9-5) unstable; urgency=low

  * Make assertion fail if chdir fails. Thanks Graham Inggs for the heads-up.
    (Closes: #773455)
  * Updated Standards version to 3.9.6 (no changes required)

 -- Michael Tautschnig <mt@debian.org>  Thu, 18 Dec 2014 16:46:38 +0000

cbmc (4.9-4) unstable; urgency=low

  * Work around binutils regression using ar rcf instead of ld -r. Thanks
    Matthias Klose for the suggestion. (Closes: #763228)

 -- Michael Tautschnig <mt@debian.org>  Sat, 11 Oct 2014 12:58:47 +0100

cbmc (4.9-3) unstable; urgency=low

  * Actually fix most instances of missing big-endian support
  * Fixes for SH-4 and ARM64 configuration

 -- Michael Tautschnig <mt@debian.org>  Thu, 07 Aug 2014 14:45:19 +0100

cbmc (4.9-2) unstable; urgency=low

  * Again mark several tests as KNOWNBUG due to incomplete big-endian
    support

 -- Michael Tautschnig <mt@debian.org>  Wed, 06 Aug 2014 12:17:09 +0100

cbmc (4.9-1) unstable; urgency=low

  * New upstream release
  * All 4.7 patches merged

 -- Michael Tautschnig <mt@debian.org>  Sun, 03 Aug 2014 16:22:33 +0100

cbmc (4.7-2) unstable; urgency=low

  * Mark tests Pointer_Arithmetic12, Pointer_byte_extract{2,3,5}
    as KNOWNBUG due to incomplete big-endian support
    (Closes: #754717)

 -- Michael Tautschnig <mt@debian.org>  Tue, 15 Jul 2014 11:54:44 +0100

cbmc (4.7-1) unstable; urgency=low

  * New upstream release
  * All 4.5 patches merged
  * Updated Standards version to 3.9.5 (no changes required)
  * Added support for mips ABI n32, n64.
    Thanks Sphinx Jiang (Closes: #752072)

 -- Michael Tautschnig <mt@debian.org>  Sat, 28 Jun 2014 17:55:30 +0100

cbmc (4.5-2) unstable; urgency=low

  * Fixed typo in powerpc sub-arch configuration causing FTBFS

 -- Michael Tautschnig <mt@debian.org>  Mon, 26 Aug 2013 00:07:54 +0100

cbmc (4.5-1) unstable; urgency=low

  * New upstream release
  * All 4.4 patches merged

 -- Michael Tautschnig <mt@debian.org>  Sun, 25 Aug 2013 12:33:14 +0100

cbmc (4.4-2) unstable; urgency=low

  * armhf requires __ARM_PCS_VFP to be defined

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 22:56:58 +0100

cbmc (4.4-1) unstable; urgency=low

  * New upstream release (Closes: #701253, #713605)

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jul 2013 12:39:13 +0100

cbmc (4.3-6) unstable; urgency=low

  * Also added -5 patch to series  file to actually fix the problems
  * Update gcc_types_compatible_p1 to SVN HEAD
  * Cherry-pick upstream r2114-2118, r2120, r2167

 -- Michael Tautschnig <mt@debian.org>  Fri, 15 Feb 2013 18:35:06 +0000

cbmc (4.3-5) unstable; urgency=low

  * Cherry-pick upstream r2113 to fix failing regression tests on arm* and
    mips*
  * Cherry-pick upstream r2144 and r2148 to fix failing regression tests on
    powerpc, s390*, and sparc

 -- Michael Tautschnig <mt@debian.org>  Fri, 15 Feb 2013 10:52:56 +0000

cbmc (4.3-4) unstable; urgency=low

  * Cherry-pick upstream r2142 and r2143 to fix failing regression tests on
    arm*, mips*, powerpc, s390*, and sparc

 -- Michael Tautschnig <mt@debian.org>  Tue, 12 Feb 2013 15:01:56 +0000

cbmc (4.3-3) unstable; urgency=low

  * Cherry-pick upstream r2134 and r2139 to fix failing regression tests on
    arm*, ia64, mips*, powerpc, s390*, and sparc

 -- Michael Tautschnig <mt@debian.org>  Mon, 11 Feb 2013 21:12:02 +0000

cbmc (4.3-2) unstable; urgency=low

  * Cherry-pick upstream r2111 to fix build failure on ia64 and s390x

 -- Michael Tautschnig <mt@debian.org>  Fri, 08 Feb 2013 15:46:35 +0000

cbmc (4.3-1) unstable; urgency=low

  * New upstream release (all code patches merged, only build system
    adaptions)

 -- Michael Tautschnig <mt@debian.org>  Fri, 08 Feb 2013 11:12:41 +0000

cbmc (4.2-6) unstable; urgency=low

  * s390x hack, will be fixed properly in next upstream release

 -- Michael Tautschnig <mt@debian.org>  Thu, 20 Sep 2012 16:14:23 +0100

cbmc (4.2-5) unstable; urgency=low

  * Fix preprocessing on architectures with unsigned char
  * Proper word size define for mips
  * Added regression test to check for missing builtins

 -- Michael Tautschnig <mt@debian.org>  Thu, 20 Sep 2012 10:27:43 +0100

cbmc (4.2-4) unstable; urgency=low

  * Fix missing includes on freebsd kernels, once more
  * Fix test suite for non-x86 architecture specifics

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Sep 2012 17:47:42 +0100

cbmc (4.2-3) unstable; urgency=low

  * Fix missing includes on freebsd kernels
  * Fixed test output helper

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Sep 2012 16:57:50 +0100

cbmc (4.2-2) unstable; urgency=low

  * Updated Standards version to 3.9.4 (no changes required)
  * Include upstream man page
  * Updated debian/copyright to final syntax
  * Fix missing includes on hurd and freebsd kernels
  * Print test output of failed tests

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Sep 2012 12:02:56 +0100

cbmc (4.2-1) unstable; urgency=low

  * New upstream release (includes GCC 4.7 fixes of previous NMUs)
  * Use DEB_CXXFLAGS_MAINT_APPEND to comply with dpkg-buildflags
  * Run test suite after build

 -- Michael Tautschnig <mt@debian.org>  Wed, 19 Sep 2012 10:29:19 +0100

cbmc (4.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update fix-FTBFS-with-gcc-4.7.patch patch.
    Fix FTBFS with gcc 4.7 on kfreebsd and hurd.
    Thanks to Steven Chamberlain <steven@pyro.eu.org> for the patch.
    (Closes: #673579)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 May 2012 07:55:28 +0200

cbmc (4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add fix-FTBFS-with-gcc-4.7.patch patch.
    Fix FTBFS with gcc 4.7. Fix missing <unistd.h> includes and add 'this->'
    where needed.
    Thanks to Cyril Brulebois <kibi@debian.org> for the patch. (Closes: #667131)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 13 May 2012 14:25:21 +0200

cbmc (4.1-1) unstable; urgency=low

  * New upstream release (all code patches merged, only build system adaptions
    remain)
  * dh-compat bumped to 9

 -- Michael Tautschnig <mt@debian.org>  Wed, 18 Jan 2012 18:37:41 +0000

cbmc (4.0-4) unstable; urgency=low

  * Rename patches and update description to make dpkg-source happy
    (closes: #643074)

 -- Michael Tautschnig <mt@debian.org>  Sat, 22 Oct 2011 00:51:01 +0100

cbmc (4.0-3) unstable; urgency=low

  * Make sure $(LIBS) occurs at end of linker command line to fix Ubuntu build
    failures

 -- Michael Tautschnig <mt@debian.org>  Sun, 10 Jul 2011 17:22:04 +0200

cbmc (4.0-2) unstable; urgency=low

  * Added missing freebsd kernel define
  * Enable parallel builds

 -- Michael Tautschnig <mt@debian.org>  Wed, 15 Jun 2011 10:40:38 +0200

cbmc (4.0-1) unstable; urgency=low

  * New upstream release (all patches merged)
  * Requires suitable minisat version
  * Working watch file

 -- Michael Tautschnig <mt@debian.org>  Tue, 14 Jun 2011 19:12:10 +0200

cbmc (3.9+r41-3) unstable; urgency=low

  * Fix another FTBFS for ambiguous overload, missing freebsd kernel define

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 May 2011 16:11:44 +0200

cbmc (3.9+r41-2) unstable; urgency=low

  * Corrected build-depends to fix FTBFS
  * Added gcc as depends

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 May 2011 14:57:05 +0200

cbmc (3.9+r41-1) unstable; urgency=low

  * Initial upload (closes: #626635)
  * Version 3.9 + all changes of SVN r41

 -- Michael Tautschnig <mt@debian.org>  Fri, 13 May 2011 23:54:50 +0200
